Subject: Re: bug#41821: 28.0.50; read-directory-name in vc commands should provide defaults from projects

From: Dmitry Gutov <[email-masked]>
Date: Thu, 25 Jun 2020 21:13:13 +0300

On 25.06.2020 21:03, Eli Zaretskii wrote:

>> If that sounds confusing, perhaps try to answer this question: which
>> function do you want to see moved?
> 
> As I said before: I'm talking about moving vc-known-roots from
> vc-hooks.el to vc.el.  Quoting myself:
> 
>>> We are going in circles again.  Can you explain why vc-known-roots
>>> cannot be moved to vc.el in its entirety?

Okay.

As I said, it will be (remain) a wrapper for project.el functions. If 
that's okay with you, we can go ahead.